Issue 122105 - [sidebar] Unable to change an underline style from drop down menu
[sidebar] Unable to change an underline style from drop down menu
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: ui
4.0.0-dev
PC Windows 7
: P3 minor (vote)
: 4.0.0
Assigned To: Oliver-Rainer Wittmann
:
Depends on:
Blocks: [sidebar]
  Show dependency treegraph
 
Reported: 2013-04-19 15:23 UTC by Prachi
Modified: 2013-05-02 14:49 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Instead of selected underline style(wave) from drop down list it showing just underline on selected text. (79.26 KB, image/png)
2013-04-19 15:23 UTC, Prachi
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Prachi 2013-04-19 15:23:26 UTC
Created attachment 80550 [details]
Instead of selected underline style(wave) from drop down list it showing just underline on selected text.

Overview: unable to change an underline style from a drop-down menu next to the Underline in sidebar.

Steps to Reproduce:
    1) Open a new spreadsheet.
    2) Input some texts into one cell, then select some of them.
    3) Change underline style from drop down menu next to underline.

Actual result:
    Instead of selected underline style from drop down list it showing just underline on selected text.
    
Expected Result:
    Underline style should be correctly applied on selected text from drop down list from sidebar.

Build Date & Platform:
    Build: AOO 4.0.0 Rev.1468069
    OS: windows 7 Home Premium SP1

Test Case Reference:
    AOOTest-1516:Text section - Calc - edit in cell - normal view
Comment 1 liuyixuan.527 2013-04-23 14:32:41 UTC
I could reproduce on Suse 64-bit platform.
Comment 2 DanielAlvaro 2013-04-24 13:25:53 UTC
Hello,


Reproduced in win 7 64,

I have the same problem.


Daniel Alvaro
Comment 3 Oliver-Rainer Wittmann 2013-04-26 12:49:40 UTC
working on a fix
Comment 4 Oliver-Rainer Wittmann 2013-04-26 13:28:14 UTC
The same holds for Impress/Draw and text editing of Drawing objects in Writer.
--> adjusting field Product
Comment 5 Oliver-Rainer Wittmann 2013-04-29 08:52:25 UTC
(In reply to comment #4)
> The same holds for Impress/Draw and text editing of Drawing objects in
> Writer.
> --> adjusting field Product

Sorry for the confusion:
It works in Impress/Draw, but not in text editing of Drawing objects in Writer
Comment 6 Oliver-Rainer Wittmann 2013-04-30 07:19:59 UTC
forgot to assign the issue to myself ;-)
Comment 7 SVN Robot 2013-05-02 14:02:17 UTC
"orw" committed SVN revision 1478371 into trunk:
122105: text property panel, underline style control: correct application of ...
Comment 8 Oliver-Rainer Wittmann 2013-05-02 14:49:13 UTC
fix on trunk for AOO 4.0